--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.70, 0.25, 0.02, "");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.70, 0.86, 0.025, "Xx ZETOR 8045 xX");						
		renderText(0.70, 0.77, 0.02, "Num 7: leve dvere");
		renderText(0.70, 0.75, 0.02, "Num 8: zadni okno");
		renderText(0.70, 0.73, 0.02, "Num 9: prave dvere");
		renderText(0.70, 0.71, 0.02, "F: Svetla");
		renderText(0.70, 0.69, 0.02, "Num 5: stresni rampa");
		renderText(0.70, 0.67, 0.02, "Num 6: zadni svetlo");
		renderText(0.70, 0.65, 0.02, "Num 1: Levy blinkr");
		renderText(0.70, 0.63, 0.02, "Num 2: varovne blinkry");
		renderText(0.70, 0.61, 0.02, "Num 3: Pravy blinkr");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




